Index: TXM/trunk/org.txm.core/src/java/org/txm/importer/xtz/ImportModule.java
===================================================================
--- TXM/trunk/org.txm.core/src/java/org/txm/importer/xtz/ImportModule.java	(revision 3586)
+++ TXM/trunk/org.txm.core/src/java/org/txm/importer/xtz/ImportModule.java	(revision 3587)
@@ -245,12 +245,11 @@
 						System.out.println("Error while importing corpus during 'pager' step, reason=" + pager.getReason());
 						return;
 					}
-					
 				}
 				else {
 					System.out.println("No edition produced.");
 				}
-				if (monitor != null)  { monitor.worked(25); }
+				if (monitor != null) { monitor.worked(25); }
 			}
 		};
 		
Index: TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 3586)
+++ TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/GroovyScriptedImportEngine.java	(revision 3587)
@@ -174,7 +174,7 @@
 		catch (Exception e) {
 			// System.out.println(NLS.bind(TXMUIMessages.errorWhileRunningScriptColonP0, e));
 			Log.printStackTrace(e);
-			Log.warning("Import failed: "+e);
+			Log.warning(GroovyMessages.bind(GroovyMessages.importDidNotFinishedItEncounteredTheFollowingErrorP0, e.getMessage()));
 			
 			return new Status(Status.ERROR, e.getClass().getCanonicalName(), e.getMessage());
 		}
Index: TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/messages_fr.properties
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/messages_fr.properties	(revision 3586)
+++ TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/messages_fr.properties	(revision 3587)
@@ -5,3 +5,4 @@
 restartingToolboxSearchengines=Redémarrage des moteurs de recherche...
 startingTheP0GroovyImportScript=Démarrage du script d'import Groovy {0}...
 startingTheP0importModule=Démarrage du module d'import "{0}"...
+importDidNotFinishedItEncounteredTheFollowingErrorP0=Le module d'import ne s'est pas terminé correctement. Il a rencontré l'erreur suivante "{0}".
\ No newline at end of file
Index: TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/GroovyMessages.java
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/GroovyMessages.java	(revision 3586)
+++ TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/GroovyMessages.java	(revision 3587)
@@ -17,6 +17,8 @@
 	
 	public static String startingTheP0importModule;
 	
+	public static String importDidNotFinishedItEncounteredTheFollowingErrorP0;
+	
 	static {
 		// initialize resource bundle
 		Utf8NLS.initializeMessages(BUNDLE_NAME, GroovyMessages.class);
Index: TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/messages.properties
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/messages.properties	(revision 3586)
+++ TXM/trunk/org.txm.groovy.core/src/java/org/txm/groovy/core/messages/messages.properties	(revision 3587)
@@ -5,3 +5,4 @@
 restartingToolboxSearchengines=Restarting search engine...
 startingTheP0GroovyImportScript=Starting the {0} Groovy import script...
 startingTheP0importModule=Starting the  "{0}" import module...
+importDidNotFinishedItEncounteredTheFollowingErrorP0=The import module did not finish correctly. It encountered the following error "{0}".
\ No newline at end of file
Index: TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/txtLoader.groovy
===================================================================
--- TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/txtLoader.groovy	(revision 3586)
+++ TXM/trunk/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/txtLoader.groovy	(revision 3587)
@@ -68,7 +68,7 @@
 File binDir = project.getProjectDirectory();
 binDir.mkdirs();
 if (!binDir.exists()) {
-	println "Could not create binDir "+binDir
+	println "Error: could not create corpus binary directory: "+binDir
 	return;
 }
 
